# README

*convtest* is an open source code to do the convergence test  by *vasp*. It supports **ANY** parameters.

## Features

1. Support **ANY** parameters in INCAR add KPOINTS and EOS. (Of course, all the values for the parameters should be correct). 

   **Note:** The EOS keyword is conducted by changing the scale factor, as a result, the coordinate system of the atom position should be fraction, not Cartesian

2. Support run *VASP* in the script, and generate the shell or qsub(pbs) scripts to submit the jobs.

## Install

```python
pip install convtest-prl
```



## Usage

1. Prepare the template of All VASP-needed files [INCAR, POSCAR, POTCAR, KPOINTS]
2. Prepare the INPUT.convtest file to specify the parameters for convergence test.
3. If run the test on HPC using PBS(now, it only support PBS now), prepare the pbs scripts.

## INPUT file format



| Syntax     | States                                                       | Examples                                                     |
| ---------- | ------------------------------------------------------------ | ------------------------------------------------------------ |
| PARAM      | Specify the parameters for convergence test, case insensitive | PARAM    ENCUT                                               |
| PARAMLIST  | The value list of the parameters, case insensitive<br />There are two ways to specify the value<br />1. Keep in one line with the PARAMLIST key words<br />2. Multilines(must with end mark  END_PARAMLIST) | 1.For cut-off<br />PARAMLIST 200..30..500(two dots)<br />or<br />PARAMLIST 200 230 260 ... 500<br />2.For KPOINTS<br />PARAMLIST<br />2 3 4<br />3 4 5<br />...<br />END_PARAMLIST |
| VASPRUN    | 1(**Default**) for run the VASP code in the script<br />0 for generate *.sh or *.pbs script according to your template | VASPRUN 1                                                    |
| KEEPRESULT | ALL(**Default**) : for keep all the result generated by vasp(several folders)<br />MIN : for minimum results (Only the data file will be reserved) | KEEPRESULT ALL                                               |
| ISTEST     | 1 means TEST mode, it doesn't run the vasp, and the energy is random<br />0(**Default**) means not test mode, run the vasp |                                                              |

## TODO

The convergence of size in doping or defect system?

**1.** How?

- The error caused by the size effect is most ascribed to the self-interaction?

$$
E_{2N} = 2E_N
$$

- Property-based convergence? 
- Supercell

**2.** Todo list

- Convergence of doping system
- Convergence of the defect system



## Author

Mingqing Liao(廖名情)
liaomq1900127@163.com

Phase Research Lab(PRL) @ Penn State(PSU)

FGMS Group @ Harbin Institute of Technology
